GWTextInternal::PLC Struct Reference

Internal : a PLC: used to store change of properties in GWTextInternal::Zone. More...

## Public Member Functions

| PLC ()
| the constructor More...

## Public Attributes

PLCType | m_type
| the PLC types More...
int | m_id
| the id More...
std::string | m_extra
| extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, PLC const &plc)
| operator<< More...

## Detailed Description

Internal : a PLC: used to store change of properties in GWTextInternal::Zone.

## Constructor & Destructor Documentation

GWTextInternal::PLC::PLC | ( |  | ) |

inline

the constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | PLC const & | plc
| ) |  |

friend

operator<<

## Member Data Documentation

std::string GWTextInternal::PLC::m_extra

extra data

Referenced by GWTextInternal::operator<<(), and GWText::readZonePositions().

int GWTextInternal::PLC::m_id

the id

Referenced by GWTextInternal::operator<<(), GWText::readZone(), and GWText::readZonePositions().

PLCType GWTextInternal::PLC::m_type

the PLC types

Referenced by GWTextInternal::operator<<(), GWText::readZone(), and GWText::readZonePositions().

The documentation for this struct was generated from the following file:

- GWText.cxx